# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname plist

Name: ruby-%pkgname
Version: 3.0.0
Release: alt1

Summary: All-purpose Property List manipulation library
Group: Development/Ruby
License: MIT
Url: http://rubyforge.org/projects/plist/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

BuildArch: noarch

Source: %name-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Thu Jul 31 2008 (-bi)
BuildRequires: rpm-build-ruby ruby-module-etc ruby-module-strscan ruby-tool-rdoc ruby-tool-setup

%description
Plist is a library to manipulate Property List files, also
known as plists.  It can parse plist files into native Ruby
data structures as well as generating new plist files from
your Ruby objects.

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup
%patch -p1
cp %_datadir/ruby-setup/setup.rb .

%build
%ruby_config
%ruby_build
testrb -Ilib test

%install
%ruby_install
%rdoc lib/

%files
%doc CHANGELOG README
%ruby_sitelibdir/*

%files doc
%ruby_ri_sitedir/Plist*

%changelog
* Thu Jul 31 2008 Sir Raorn <raorn@altlinux.ru> 3.0.0-alt1
- Built for Sisyphus

